#include<bits/stdc++.h>
#define ll long long
#define MAXN 200007
using namespace std;
ll a[MAXN],b[MAXN],c[MAXN],d[MAXN];
int x[MAXN];
int main()
{
    ios_base::sync_with_stdio();
    cin.tie(0);cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++) cin>>a[i]>>b[i];

    for(int i=0;i<m;i++) cin>>c[i]>>d[i];

    if(n==1)
    {
        ll s=0;
        for(int i=0;i<m;i++) s+=d[i];
        s=min(s,b[0]);
        ll s1=s;
        for(int i=0;i<m;i++)
        {
            x[i]=c[i];
            s-=c[i];
        }
        int i=0;
        while(s!=0)
        {
            ll k=min(s,d[i]-x[i]);
            s-=k;
            x[i]+=k;
            i++;
        }
        cout<<s1<<endl;
        cout<<m<<endl;
        for(int i=0;i<m;i++)
        {
            cout<<1<<" "<<i+1<<" "<<x[i]<<endl;
        }
    }
}